Bug 1862862

Summary: Review Request: R-formattable - Create 'Formattable' Data Structures
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-17 01:07:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1862859    
Bug Blocks: 1854483    

Description Elliott Sales de Andrade 2020-08-03 04:36:45 UTC
Spec URL: https://qulogic.fedorapeople.org/reviews/R-formattable/R-formattable.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-formattable/R-formattable-0.2.0.1-1.fc31.src.rpm

Description:
Provides functions to create formattable vectors and data frames.
'Formattable' vectors are printed with text formatting, and formattable data
frames are printed with multiple types of formatting in HTML to improve the
readability of data presented in tabular form rendered in web pages.

Comment 1 José Matos 2020-08-05 18:04:57 UTC
Usual boilerplate: :-)

fedora-review complains are the usual:

- Package have the default element marked as %%doc :doc, DESCRIPTION, NEWS
- Package requires R-core.

I am not sure if NEWS is required to be present, something that %doc does not ensures.

The license is correct and the spec is well written according to Fedora guidelines.

The package is approved.

Comment 2 Gwyn Ciesla 2020-08-06 12:33:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-formattable

Comment 3 Fedora Update System 2020-08-08 23:58:33 UTC
FEDORA-2020-e7e88f2331 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e7e88f2331

Comment 4 Fedora Update System 2020-08-09 00:02:01 UTC
FEDORA-2020-2f76bc53b4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2f76bc53b4

Comment 5 Fedora Update System 2020-08-09 03:01:44 UTC
FEDORA-2020-2f76bc53b4 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-2f76bc53b4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2f76bc53b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-09 03:47:45 UTC
FEDORA-2020-e7e88f2331 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-e7e88f2331 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e7e88f2331

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-08-17 01:07:52 UTC
FEDORA-2020-2f76bc53b4 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-08-17 01:13:41 UTC
FEDORA-2020-e7e88f2331 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.